Delete Interactions
curl --request POST \
--url https://backend.nebuly.com/api/external/projects/delete-interactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": [
{
"kind": "<string>",
"tag": "<string>",
"values": [
"<string>"
]
}
],
"time_range": {
"start": "<string>",
"end": "<string>"
}
}
'import requests
url = "https://backend.nebuly.com/api/external/projects/delete-interactions"
payload = {
"filters": [
{
"kind": "<string>",
"tag": "<string>",
"values": ["<string>"]
}
],
"time_range": {
"start": "<string>",
"end": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: [{kind: '<string>', tag: '<string>', values: ['<string>']}],
time_range: {start: '<string>', end: '<string>'}
})
};
fetch('https://backend.nebuly.com/api/external/projects/delete-interactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Instrument (Optional)
Delete Interactions
POST
/
api
/
external
/
projects
/
delete-interactions
Delete Interactions
This endpoint allows to delete interactions within a project.
You need an API key to authenticate. See here for more information about the API keys.
All the interactions satisfying the filters below will be deleted. If no filter is given all the interactions associated with the API-key project will be deleted.
Filters you can use to get data based only on the interactions you are interested in.
Show properties
Show properties
The filter kind. It can be one of the following values:
- user_intent
- negative_user_intent
- keyword
- user_feedback
- tag
- type_of_problem
- topic
- user
- user_query
Optional field to be used only when the kind is tag. It should specify the tag name, which is the same as the key you used in the tags dictionary during the interaction submission.
The values of the selected filter you want to filter on. Note that all the values passed in
the list are considered to be in “or” the one with the other. This means that if the kind is
“topic” and the passed values are “value A”, “value B”, this is equal to
topic="value A" or topic="value B".⌘I